SKF GoPlant
Api Reference 101

Responses

Get form step question responses based on query parameters.

Responses are available via the REST API when an operator commits a form. Responses are generated for each step question that was visible in the form when it was committed. That is if a visibility rule or visibility timeframe prevents a step from being displayed to the operator, there will be no response generated for that step.

If an operator skips a step question, the response will be shown as null while the response time will reflect when the operator committed the form.

GET /api/rest/responses Get a list of form step question responses filtered by query parameters

Return all responses over the past 24 hours. If there are more than 1,000 responses, call the API again using the From-Response-ID parameter.

Request

                GET https://{goplant_instance}/api/rest/responses
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Return all responses between December 1st, 2025, 05:00 and December 2nd, 2025, 18:00. All times are UTC.

Request

                GET https://{goplant_instance}/api/rest/responses?Start-Time=2025-12-01T05:00:00&End-Time=2025-12-02T18:00:00
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Return all responses that have been modified since November 1st,05:00 and are tagged from tag source OSI PI or Maximo.

Request

                GET https://{goplant_instance}/api/rest/responses?Modified-Since-Time=2025-11-01T05:00:00&Tag-Source-ID=OSIPI,MAXIMO
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Return all responses starting with response UUID 0000-0001-0002-0003 that are in storage groups 0001-0002-0003-0004 and 1111-2222-3333-4444.

Request

                GET https://{goplant_instance}/api/rest/responses?From-Response-UUID=0000-0001-0002-0003&Storage-Group-UUID=0001-0002-0003-0004,1111-2222-3333-4444
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Return all responses that were modified after the form was initially submitted since the specified time.

Request

                GET https://{goplant_instance}/api/rest/responses?Modified-Since-Time=2025-12-01T05:00:00
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. For most installations, Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
For MS Entra installations, Bearer tokens are used instead
Required value    Bearer <aad token>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
URI Query Parameters
Completed-Form-UUID
Limit responses to the specified completed form(s). Multiple completed form UUIDs may be specified, separated by columns.
string optional
Start-Time
Limit responses to those created after the indicated start date and time. Start-Time is specified as a UTC string (ISO 8601).
If no Start-Time is specified and no From-Response-UUID or Response-UUID is specified, the default value is 24 hours before the current time in UTC.
If From-Response-UUID or Response-UUID is specified without Start-Time, an internal default of 1970-01-01T00:00:00Z is used to avoid time-based filtering.
string optional
End-Time
Limit responses to those created before the indicated end date and time. End-Time is specified as a UTC string.
If no End-Time is specified, the default value is the current time in UTC is used.
string optional
From-Response-UUID
Limit responses to the specified response UUID and those that follow it.
string optional
Max-Responses
Limit the number of responses returned. The maximum value is 1,000, which is also the default value if the parameter is not specified.
string optional
Modified-Since-Time
Limit responses to those whose response value has been modified after the indicated time. Modified-Since-Time is specified as a UTC string.
string optional
Storage-Group-UUID
Limit responses to those forms in the specified storage group(s). Multiple group IDs may be specified, separated by columns. If the user specifies a group outside of their scope, an error will be returned.
string optional
Tag-Source-ID
Limit responses to those tagged using the specified tag sources(s). Multiple tag source IDs may be specified, separated by columns.
string optional
Response Body Array of responses with paging information
count
Number of responses returned
integer
nextResponseUUID
The UUID of the next response after the last response returned by this call. Null if there are no more responses. Use this value as From-Response-UUID on the next request when paging.
string
responses
Array of responses within the current user’s scope.
array of response-type
uuid
Unique ID of the response
string
uri
Response URI
string
responseValue
Response value. Null if response was skipped
string
responseUnits
Response unit. Null for all step types other than vibration and temperature readings.
string
responseTimeUTC
UTC time when response was recorded. If response was skipped, UTC time when form was committed.
string
responseModifiedTimeUTC
UTC time when response was last edited. Null if response has not been edited
string
exceptionCount
Number of exceptions this response generated
integer
stepType
Step type in form
string
stepText
Step Text
string
userName
Name of operator who completed response
string
formName
Name of form
string
formPageName
Name of page on which step question appears
string
completedFormUri
UURI of completed form
string
assetTag
Asset tag. Null if response is not associated with an asset
string
assetStatus
Status of asset. Null if response is not associated with an asset
string
roundName
Round name
string
roundInstanceUri
URI of round instance
string
taskName
Task name. Null if response was completed outside of the context of a task
string
taskEventUri
URI of task event. Null if response was completed outside of the context of a task
string
externalTags
List of external tags associated with response. Empty list if no tags associated.
array of external-tag-type
tagName
Name of external tag associated with response
string
tagSource
Name of external tag source associated with response
string
tagSourceUri
URI of external tag source
string
GET /api/rest/responses/:uuid Get a single form step question response
Request

                GET https://{goplant_instance}/api/rest/responses/:uuid
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Requested response
uuid
Unique ID of the response
string
uri
Response URI
string
responseValue
Response value. Null if response was skipped
string
responseUnits
Response unit. Null for all step types other than vibration and temperature readings.
string
responseTimeUTC
UTC time when response was recorded. If response was skipped, UTC time when form was committed.
string
responseModifiedTimeUTC
UTC time when response was last edited. Null if response has not been edited
string
exceptionCount
Number of exceptions this response generated
integer
stepType
Step type in form
string
stepText
Step Text
string
userName
Name of operator who completed response
string
formName
Name of form
string
formPageName
Name of page on which step question appears
string
completedFormUri
URI of completed form
string
assetTag
Asset tag. Null if response is not associated with an asset
string
assetStatus
Status of asset. Null if response is not associated with an asset
string
roundName
Round name
string
roundInstanceUri
URI of round instance
string
taskName
Task name. Null if response was completed outside of the context of a task
string
taskEventUri
URI of task event. Null if response was completed outside of the context of a task
string
externalTags
List of external tags associated with response. Empty list if no tags associated.
array of external-tag-type
tagName
Name of external tag associated with response
string
tagSource
Name of external tag source associated with response
string
tagSourceUri
URI of external tag source
string